Page MenuHomePhabricator

Homepage: turning Homepage Preferences on via link
Closed, ResolvedPublic

Description

If someone does not have the homepage turned on in their preferences, instead of seeing the homepage they should see a sentence link that takes them to preferences so that they may turn it on. That sentence should read:

To enable the newcomer homepage, visit your "Newcomer homepage" settings in Preferences.

The word "Preferences" should link to the "Newcomer homepage" header in the user's preferences.

This sentence will need to be translated.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterFix wording for enabling preference on Special:Homepage
mediawiki/extensions/GrowthExperiments : masterPrevent user from accessing Homepage if preference isn't enabled

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2019, 3:08 PM
JTannerWMF reassigned this task from Cntlsn to MMiller_WMF.Apr 24 2019, 4:48 PM
JTannerWMF added a subscriber: Cntlsn.

(not part of May 2 launch)

MMiller_WMF renamed this task from [Newcomer Homepage] Turning Homepage Preferences on via link to Homepage: turning Homepage Preferences on via link.May 8 2019, 8:31 PM
MMiller_WMF removed MMiller_WMF as the assignee of this task.
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF added a subscriber: Etonkovidova.

I wrote the desired copy for this task, and so now it is ready for development.

Change 509501 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Prevent user from accessing Homepage if preference isn't enabled

https://gerrit.wikimedia.org/r/509501

@MMiller_WMF I assume we don't want any kind of logging to HomepageVisit to occur in this scenario, but just double-checking.

@kostajh -- thanks for checking, and no, we do not need logging here. Hopefully this change will cause users to visit the homepage more often through the flows that we already have instrumented.

Change 509501 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Prevent user from accessing Homepage if preference isn't enabled

https://gerrit.wikimedia.org/r/509501

Checked in betalabs - moving to @MMiller_WMF for review since the implementation is different from the specs (in my opinion, it's fine).

  • "Newcomer homepage" - is not in quotes
  • Preferences is not a link, Newcomer homepage is a link that correctly directs a user to the setting "Newcome homepage" in Preferences
  • the message is still not translated to Korean and Czech

Thanks, @Etonkovidova. Yes, I do think we should change this to match the specifications so that there are quotes and the link on the word "Preferences" instead of on "Newcomer homepage".

Change 513543 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Fix wording for enabling preference on Special:Homepage

https://gerrit.wikimedia.org/r/513543

Change 513543 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Fix wording for enabling preference on Special:Homepage

https://gerrit.wikimedia.org/r/513543

Etonkovidova closed this task as Resolved.Jun 3 2019, 2:40 PM